// MFCSampleDlg.h : header file
//

#if !defined(AFX_MFCSAMPLEDLG_H__BBAD226A_37DF_4E61_82D9_897EEEC3BF64__INCLUDED_)
#define AFX_MFCSAMPLEDLG_H__BBAD226A_37DF_4E61_82D9_897EEEC3BF64__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMFCSampleDlg dialog

class CMFCSampleDlg : public CDialog
{
// Construction
public:
	CMFCSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMFCSampleDlg)
	enum { IDD = IDD_MFCSAMPLE_DIALOG };
	CComboBox	m_comboBorderStyle;
	CComboBox	m_comboBorderColor;
	CStatic	m_picBarcode;
	CComboBox	m_comboBackColor;
	CComboBox	m_comboForeColor;
	CComboBox	m_comboRotation;
	CComboBox	m_comboBoxSymbology;
	CString	m_strMessage;
	CString	m_strComment;
	UINT	m_uiNarrowBarWidth;
	UINT	m_uiBarHeight;
	int		m_iMeasurement;
	BOOL	m_bShowComment;
	BOOL	m_bShowHR;
	BOOL	m_bBearerBars;
	BOOL	m_bQuietZones;
	long	m_lSysMarginTop;
	long	m_lSysMarginBottom;
	long	m_lSysMarginLeft;
	long	m_lSysMarginRight;
	BOOL	m_bCommentOnTop;
	BOOL	m_bHROnTop;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFCSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	HANDLE m_hBarcodeDLL;   //Barcode object handle

	// Generated message map functions
	//{{AFX_MSG(CMFCSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnButtonAbout();
	afx_msg void OnButtonRefresh();
	afx_msg void OnButtonExportimage();
	afx_msg void OnButtonLoad();
	afx_msg void OnButtonSave();
	afx_msg void OnSelendokComboSymbology();
	afx_msg void OnPrint();
	afx_msg void OnCheckOptions(UINT id);
	afx_msg void OnSysMarginChange(UINT id);
	afx_msg void OnSelendokComboBackcolor();
	afx_msg void OnChangeMeasurement(UINT id);
	afx_msg void OnSelendokComboBordercolor();
	afx_msg void OnSelendokComboBorderstyle();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCSAMPLEDLG_H__BBAD226A_37DF_4E61_82D9_897EEEC3BF64__INCLUDED_)
